module Test where
import Metric
import SOC

-- Test of the streaming outliers clustering algorithm.
-- Run GHCi with this module loaded and look at the states.

soc0 = (socStart 3 4 1) :: SOC R2
-- Create a first center.
soc1 = socAdd soc0 [R2(0, 0), R2(1, 0), R2(-1, 0), R2(0, 1), R2(0, -1)]
-- Create another center.
soc2 = socAdd soc1 [R2(20, 0), R2(23, 3), R2(17, -1), R2(21, 10), R2(19, 7)]
-- More points, but no storable center.
soc3 = socAdd soc2 [R2(10, 35), R2(14, 30), R2(7, 37), R2(9, 42),
	R2(4, 42), R2(17, 27), R2(-30, 5), R2(-10, -24)]
-- Scaling time!
soc4 = socAdd soc3 [R2(-30, 60)]
